CentOS yum升级PHP至5.2.x

作者: gaohailin 分类: 网站技术 发布时间: 2011-09-16 09:34

用yum方式安装的LAMP,程序版本较老:
Apache 2.2.3
MySQL 5.0.77
PHP 5.1.6

WordPress3.2之后需要PHP5.2.4或以上版本,如果不支持会提示“您的服务器现在运行的PHP版本为5.1.6,但WordPress3.2.1要求的最低版本为5.2.4。”这里可以使用第三方软件库。网上看了下,常用http://www.jasonlitka.com/这个网站提供的更新源。

升级方法如下:

rpm –import http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka
vim /etc/yum.repos.d/CentOS-Base.repo

增加下面内容:

[utterramblings]
name=Jason’s Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

执行升级命令:

yum update

就可以把MySQL升级到5.1.52,PHP升级到5.2.16,httpd升级到2.2.17了。

升级完后会在原先配置路径生成新的配置文件:
/etc/php.ini.rpmnew
/etc/my.cnf.rpmnew
/etc/httpd/conf/httpd.conf.rpmnew

版本更新后,相关配置文件不能通用,需要把原来的配置文件删除或移动,使用新生成的配置文件:

mv /etc/php.ini /tmp
mv /etc/my.cnf /tmp
mv /etc/httpd/conf/httpd.conf /tmp
mv /etc/php.ini.rpmnew /etc/php.ini
mv /etc/my.cnf.rpmnew /etc/my.cnf
mv /etc/httpd/conf/httpd.conf.rpmnew /etc/httpd/conf/httpd.conf

重启服务:

service httpd restart
service mysqld restart

随后可以重新设置优化相关参数。Apache、PHP配置和以前一样,这里就不说了。MySQL配置变化较大:

vim /etc/my.cnf

在[mysqld_safe]前添加以下内容:

skip-innodb
skip-name-resolve
skip-networking
skip-external-locking

key_buffer_size = 16M
max_allowed_packet = 1M
table_cache = 64
sort_buffer_size = 512K
net_buffer_length = 8K
read_buffer_size = 256K
read_rnd_buffer_size = 512K
myisam_sort_buffer_size = 8M

更新数据库:

mysql_upgrade –password=yourpasswd //这里填mysql root用户的密码

重启mysql:

service mysqld restart

如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注